# A plugin for adding "NoProcess" functionality.
# Copyright (c) 2008 ARK-Web Co.,Ltd.

package MT::Plugin::NoProcess;

use strict;
use MT;
use MT::Template::Context;

use vars qw( $VERSION );
$VERSION = '1.0';

use base qw( MT::Plugin );

###################################### Init Plugin #####################################

my $plugin = new MT::Plugin::NoProcess({
    id => 'NoProcess',
    name => 'NoProcess',
    author_name => 'ARK-Web\'s MT Plugin Developers',
    author_link => 'http://www.ark-web.jp/',
    version => $VERSION,
    description => '囲まれた範囲のMTタグを何も処理せず返すコンテナブロック',
    doc_link => 'http://www.ark-web.jp/movabletype/',
});

MT->add_plugin($plugin);
MT::Template::Context->add_container_tag('NoProcess', \&_no_process);

sub _no_process {
    my $ctx = shift;
    my $args = shift;

    return $ctx->stash('uncompiled');
}

1;
